/*
//		User-customized Console I/O Interface Package
//		Copyright (C) 1991 Paradigm Systems.  All rights reserved.
//
//		Function		
//		========
//		This module contains the device specific initializations and device
//		driver functions for handling Borland C++ console I/O.
//
//			void		InitConsole(void) ;
//			int		_getch(void) ;
//			int		_putch(int) ;
//
//		This version is specially customized to simulate the presence of a
//		serial port by reading/writing static buffers and it must be customized
//		for the target system before use.
*/

#include	<dos.h>							/* I/O port definitions */

#include	"typedefs.h"					/* General purpose type declarations */
#include	"dosemu.h"						/* Int 21h function/data prototypes */


/*
//		Function:  _getch
//
//		This function returns the next character received from a serial
//		device.  This function must adapted to the target system hardware.
*/

int	_getch(void)
{
	static	char	buf[] = "16\rabcdef\rxyz\rreverse\r" ;
	static	int	i ;

	if (buf[i] == '\0')
		i = 0 ;

	return	buf[i++] ;
}


/*
//		Function:  _putch
//
//		This function must be written to copy the supplied character to
//		to a serial device.  This function must adapted to the target
//		system hardware.
*/

char	outbuf[256] ;

int	_putch(
			int		ch						/* Character to output */
		)
{
	static	int	i = 0 ;
	
	outbuf[i++] = ch ;
	if (i == 256)
		i = 0 ;

	return	ch ;
}


/*
//		Function:	InitConsole
//
//		This function is responsible for initializing the console device
//		referenced by the Int 21h emulation package.
*/

void		InitConsole(void)
{
	return ;
}
